using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Net8AutoSecurityExport.Models.Northwind
{
    [Table("Region", Schema = "dbo")]
    public partial class Region
    {
        [Key]
        [Required]
        public int RegionID { get; set; }

        [Required]
        public string RegionDescription { get; set; }

        public ICollection<Territory> Territories { get; set; }

    }
}