using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Net8AutoSecurityExport.Models.Northwind
{
    [Table("Territories", Schema = "dbo")]
    public partial class Territory
    {
        [Key]
        [Required]
        public string TerritoryID { get; set; }

        [Required]
        public string TerritoryDescription { get; set; }

        [Required]
        public int RegionID { get; set; }

        public Region Region { get; set; }

        public ICollection<EmployeeTerritory> EmployeeTerritories { get; set; }

    }
}