using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Net8AutoSecurityExport.Models.Northwind
{
    [Table("Order Details", Schema = "dbo")]
    public partial class OrderDetail
    {
        [Key]
        [Required]
        public int OrderID { get; set; }

        public Order Order { get; set; }

        [Key]
        [Required]
        public int ProductID { get; set; }

        public Product Product { get; set; }

        public decimal UnitPrice { get; set; }

        public short Quantity { get; set; }

        public float Discount { get; set; }

    }
}